import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Timepicker } from '../types';
import { Dayjs } from 'dayjs';
export declare class TimePicker implements OnInit, OnChanges {
    options: Timepicker;
    selectedFromDate: Dayjs;
    selectedToDate: Dayjs;
    minDate: Dayjs;
    maxDate: Dayjs;
    format: string;
    isLeft: boolean;
    timeChanged: EventEmitter<Dayjs>;
    meridiem: string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getCurrentHour(): string | number;
    getCurrentMinute(): string | number;
    isValidToAddMinute(value: number): boolean;
    isValidToAddHour(value: number): boolean;
    addHour(value: number): void;
    addMinute(value: number): void;
    triggerTimeChanged(): void;
    toggleAMPM(): void;
}
